# 矩形

::: details 目录
[[toc]]

:::

<scene-items-rect />

示例中展示了 一种渐变风格的 json 传参

``` 
    "Default":{
        "Stroke": "#cccccc",
        "Fill": "SLinearGradient{0,0;0,1000;0,#ff483bff;0.5,#04ff00ff;1,#3d4effff;}",
        "LineWidth": 2,
        "Effect": {}
    },
    "Selected": {
        "Stroke": "#66ff66",
        "Fill": "SRadialGradient{500,500,50;500,500,500;0,#ff483bff;0.5,#04ff00ff;1,#3d4effff;}",
        "LineWidth": 3,
        "Effect": {}
    },
```

一种普通纯色风格的 json 传参

```
    "Default":{
        "Stroke": "#cccccc",
        "Fill": "SLinearGradient{0,0;0,1000;0,#ff483bff;0.5,#04ff00ff;1,#3d4effff;}",
        "LineWidth": 2,
        "Effect": {}
    },
    "Selected": {
        "Stroke": "#66ff66",
        "Fill": "SRadialGradient{500,500,50;500,500,500;0,#ff483bff;0.5,#04ff00ff;1,#3d4effff;}",
        "LineWidth": 3,
        "Effect": {}
    },
```

::: details 查看代码
<<< @/docs/.vuepress/components/scene/items/rect.vue
:::

::: tip item 展示
    item 状态切换参考 建筑信息图-底图风格
    item 传入的数据 data 大写跟随数据字典
    保存item的时候,保存类型为 string,调用渐变类的 value() 方法即可返回当前渐变类的字符串;
:::
